package com.qmth.teachcloud.mark.dto;

import java.util.ArrayList;
import java.util.List;

public class ScanOmrStudent {

	private String studentCode;

	private String studentName;

	private Integer cardNumber;
	
	private String courseCode;

	private String courseName;

	private String coursePaperId;

	private String coursePaperNumber;
	
	private List<ScanOmrTaskDto> tasks;
	
	public  ScanOmrStudent (){
		this.tasks = new ArrayList<ScanOmrTaskDto>();
	}
	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public Integer getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(Integer cardNumber) {
		this.cardNumber = cardNumber;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCoursePaperId() {
		return coursePaperId;
	}

	public void setCoursePaperId(String coursePaperId) {
		this.coursePaperId = coursePaperId;
	}

	public String getCoursePaperNumber() {
		return coursePaperNumber;
	}

	public void setCoursePaperNumber(String coursePaperNumber) {
		this.coursePaperNumber = coursePaperNumber;
	}

	public List<ScanOmrTaskDto> getTasks() {
		return tasks;
	}

	public void setTasks(List<ScanOmrTaskDto> tasks) {
		this.tasks = tasks;
	}

}
